Bug 995765 - [abrt] openstack-swift-proxy-1.8.0-2.fc19: socket.py:224:meth:error: [Errno 99] Cannot assign requested address
[abrt] openstack-swift-proxy-1.8.0-2.fc19: socket.py:224:meth:error: [Errno 9...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openstack-swift (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
abrt_hash:549b282164aaac20dede8d649b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 18:51 EDT by Thom Carlin
Modified: 2015-02-18 09:04 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:04:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (899 bytes, text/plain)
2013-08-10 18:52 EDT, Thom Carlin
no flags Details
File: dso_list (104 bytes, text/plain)
2013-08-10 18:52 EDT, Thom Carlin
no flags Details
File: environ (157 bytes, text/plain)
2013-08-10 18:52 EDT, Thom Carlin
no flags Details

  None (edit)
Description Thom Carlin 2013-08-10 18:51:56 EDT
Version-Release number of selected component:
openstack-swift-proxy-1.8.0-2.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
executable:     /usr/bin/swift-proxy-server
kernel:         3.10.5-201.fc19.x86_64
runlevel:       unknown
type:           Python
uid:            1001

Truncated backtrace:
socket.py:224:meth:error: [Errno 99] Cannot assign requested address

Traceback (most recent call last):
  File "/usr/bin/swift-proxy-server", line 22, in <module>
    run_wsgi(conf_file, 'proxy-server', default_port=8080, **options)
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 125, in run_wsgi
    sock = get_socket(conf, default_port=kwargs.get('default_port', 8080))
  File "/usr/lib/python2.7/site-packages/swift/common/wsgi.py", line 81, in get_socket
    family=address_family)
  File "/usr/lib/python2.7/site-packages/eventlet/convenience.py", line 38, in listen
    sock.bind(addr)
  File "/usr/lib64/python2.7/socket.py", line 224, in meth
    return getattr(self._sock,name)(*args)
error: [Errno 99] Cannot assign requested address

Local variables in innermost frame:
self: <socket._socketobject object at 0x1a63520>
args: (('10.11.164.206', 8080),)
name: 'bind'

Potential duplicate: bug 977792
Comment 1 Thom Carlin 2013-08-10 18:52:01 EDT
Created attachment 785283 [details]
File: backtrace
Comment 2 Thom Carlin 2013-08-10 18:52:05 EDT
Created attachment 785284 [details]
File: dso_list
Comment 3 Thom Carlin 2013-08-10 18:52:09 EDT
Created attachment 785285 [details]
File: environ
Comment 4 Pete Zaitcev 2013-08-12 13:34:00 EDT
Thom, did you use swift-init together with systemctl by any chance?
Comment 5 Mark 2013-08-19 13:23:22 EDT

(In reply to Pete Zaitcev from comment #4)
> Thom, did you use swift-init together with systemctl by any chance?

I don't know how Thom is reproducing this, but I get this on reboot post RDO+packstack all in one install using openstack-havana.
Comment 6 Thom Carlin 2013-08-19 13:25:55 EDT
That sounds right, I was following the instructions while at FLOCK.  Unfortunately, the VM was removed a couple of hours ago.
Comment 7 Pete Zaitcev 2013-08-26 17:49:22 EDT
Mark, could you please capture /etc/swift? The only thing that comes to
mind is that somehow you ended with /etc/swift/proxy-server/1.conf.
I would not put it past the Packstack.
Comment 8 Thom Carlin 2014-06-09 07:57:41 EDT
Clearing NEEDINFO, N/A to me.
Comment 9 Fedora End Of Life 2015-01-09 17:15:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 09:04:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.